# Generated by Django 4.2.16 on 2024-11-13 16:32

from django.db import migrations, models
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        ("djangoldp_tems_trial6", "0005_trial6object_owners"),
    ]

    operations = [
        migrations.CreateModel(
            name="Trial6Keyword",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Keyword",
                "verbose_name_plural": "TEMS Keywords",
                "abstract": False,
                "default_permissions": {"control", "view", "change", "add", "delete"},
                "rdf_type": "tems:Keyword",
                "container_path": "/objects/keywords/trial6/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.AddField(
            model_name="trial6object",
            name="keywords",
            field=models.ManyToManyField(
                blank=True, to="djangoldp_tems_trial6.trial6keyword"
            ),
        ),
    ]
